
/* TinyTone for ATtiny85 */
#include "tiny_tone.h"
#include <arduino.h>


TinyTone::TinyTone(int pin, int fq)
{
  _pin = pin;
  pinMode(_pin, OUTPUT);
  set_fq( fq);
}
void TinyTone::set_fq( int f)
{
  f = constrain(f, 531, 1010); // bereich begrenzen
  _divisor = map( f, 531, 1010, 239, 127); // freuenz in divisor umrechnen
  OCR1C = _divisor - 1;       // set the OCR  output compare register
}
void TinyTone::on( )
{
  TCCR1 = 0x90 | 6; // for 8MHz clock
}
void TinyTone::off()
{
  TCCR1 = 0x90;              // stop the counter
}
